GET /api/v3/drive-templates/{lcuid}/field-map¶
Summary¶
GET /drive-templates/{lcuid}/field-map
Description¶
Returns the field map macros that are available for a specific drive template based on the item classes for the template as well as any data source applications connected to the parent account. This is the definitive list of field map macros that are available for this specific template.
Tags: templates
Parameters¶
Header Parameters¶
| Name | Type | Required | Description | Example |
|---|---|---|---|---|
Authorization |
string |
✓ Yes | Bearer {AuthToken} |
|
Content-Type |
string |
✓ Yes | application/json |
|
Accept |
string |
✓ Yes | application/json |
|
AppIdV3 |
string |
✓ Yes | LCUID-LAP-********-****-****-****-************ |
Responses¶
Response: 200¶
Description: Sample Response
Content Type: application/json¶
Schema¶
Type: object
Properties:
success(boolean): Indicates if the request was successfulfield_map(object) Type:object
Properties:
-
user(object) Type:objectProperties:
object(string)name(string)sort_order(integer)description(string)field_map(object) Type:object
Properties:
-
common(object) Type:objectProperties:
name(string)group_parent_id(string)class(string)fields(array)-
Array items:
objectType:objectProperties:
id(string)object(string)group_id(string)group_name(string)class(string)property(string)macro(string)macroCode(string)name(string)placeholder(string)type(string)defaultClasses(string)defaultCss(string)show(boolean)object_name(string)sort_order(integer)description(string)
-
digital_board(object) Type:objectProperties:
object(string)name(string)sort_order(integer)description(string)field_map(object) Type:object
Properties:
-
screen(object) Type:objectProperties:
name(string)group_parent_id(string)class(string)fields(array)-
Array items:
objectType:objectProperties:
id(string)object(string)group_id(string)group_name(string)class(string)property(string)macro(string)macroCode(string)name(string)placeholder(string)type(string)defaultClasses(string)defaultCss(string)show(boolean)object_name(string)sort_order(integer)description(string)
-
digital_board_location(object) Type:objectProperties:
name(string)group_parent_id(string)class(string)fields(array)-
Array items:
objectType:objectProperties:
id(string)object(string)group_id(string)group_name(string)class(string)property(string)macro(string)macroCode(string)name(string)placeholder(string)type(string)defaultClasses(string)defaultCss(string)show(boolean)object_name(string)sort_order(integer)description(string)
-
account(object) Type:objectProperties:
object(string)name(string)sort_order(integer)description(string)field_map(object) Type:object
Properties:
-
common(object) Type:objectProperties:
name(string)group_parent_id(string)class(string)fields(array)-
Array items:
objectType:objectProperties:
id(string)object(string)group_id(string)group_name(string)class(string)property(string)macro(string)macroCode(string)name(string)placeholder(string)type(string)defaultClasses(string)defaultCss(string)show(boolean)object_name(string)sort_order(integer)description(string)
Example Response¶
{
"success": true,
"field_map": {
"user": {
"object": "user",
"name": "Lucit User",
"sort_order": 3,
"description": "These fields are specific to the Lucit User that is using this template.\n These are dynamically generated based on the user information of the logged in user that is creating ads from this template\n or, in the case of data feeds that attach items to users, the specific user that owns or is associated with each item.\n For instance, Real Estate users may have a data feed that attaches items to specific agents. In this case, the user.name field\n would be the name of the agent that the item is associated with.\n This is useful for creating ads that are specific to the agent",
"field_map": {
"common": {
"name": "Common",
"group_parent_id": null,
"class": "App\\LuCore\\Users\\UserClass",
"fields": [
{
"id": "user_name",
"object": "user",
"group_id": "common",
"group_name": "Common",
"class": "App\\LuCore\\Users\\UserClass",
"property": "name",
"macro": "user.name",
"macroCode": "{user.name}",
"name": "Name",
"placeholder": "Sally Jones",
"type": "text",
"defaultClasses": "lc_ut_designer lc_dt_data lc_dt_text lc_format_fit_text",
"defaultCss": "",
"show": true,
"object_name": "Lucit User",
"sort_order": 3,
"description": "These fields are specific to the Lucit User that is using this template.\n These are dynamically generated based on the user information of the logged in user that is creating ads from this template\n or, in the case of data feeds that attach items to users, the specific user that owns or is associated with each item.\n For instance, Real Estate users may have a data feed that attaches items to specific agents. In this case, the user.name field\n would be the name of the agent that the item is associated with.\n This is useful for creating ads that are specific to the agent"
},
{
"id": "user_first_name",
"object": "user",
"group_id": "common",
"group_name": "Common",
"class": "App\\LuCore\\Users\\UserClass",
"property": "first_name",
"macro": "user.first_name",
"macroCode": "{user.first_name}",
"name": "First Name",
"placeholder": "Sally",
"type": "text",
"defaultClasses": "lc_ut_designer lc_dt_data lc_dt_text lc_format_fit_text",
"defaultCss": "",
"show": true,
"object_name": "Lucit User",
"sort_order": 3,
"description": "These fields are specific to the Lucit User that is using this template.\n These are dynamically generated based on the user information of the logged in user that is creating ads from this template\n or, in the case of data feeds that attach items to users, the specific user that owns or is associated with each item.\n For instance, Real Estate users may have a data feed that attaches items to specific agents. In this case, the user.name field\n would be the name of the agent that the item is associated with.\n This is useful for creating ads that are specific to the agent"
},
{
"id": "user_last_name",
"object": "user",
"group_id": "common",
"group_name": "Common",
"class": "App\\LuCore\\Users\\UserClass",
"property": "last_name",
"macro": "user.last_name",
"macroCode": "{user.last_name}",
"name": "Last Name",
"placeholder": "Jones",
"type": "text",
"defaultClasses": "lc_ut_designer lc_dt_data lc_dt_text lc_format_fit_text",
"defaultCss": "",
"show": true,
"object_name": "Lucit User",
"sort_order": 3,
"description": "These fields are specific to the Lucit User that is using this template.\n These are dynamically generated based on the user information of the logged in user that is creating ads from this template\n or, in the case of data feeds that attach items to users, the specific user that owns or is associated with each item.\n For instance, Real Estate users may have a data feed that attaches items to specific agents. In this case, the user.name field\n would be the name of the agent that the item is associated with.\n This is useful for creating ads that are specific to the agent"
},
{
"id": "user_title",
"object": "user",
"group_id": "common",
"group_name": "Common",
"class": "App\\LuCore\\Users\\UserClass",
"property": "title",
"macro": "user.title",
"macroCode": "{user.title}",
"name": "Job Title",
"placeholder": "Marketing Manager",
"type": "text",
"defaultClasses": "lc_ut_designer lc_dt_data lc_dt_text lc_format_fit_text",
"defaultCss": "",
"show": true,
"object_name": "Lucit User",
"sort_order": 3,
"description": "These fields are specific to the Lucit User that is using this template.\n These are dynamically generated based on the user information of the logged in user that is creating ads from this template\n or, in the case of data feeds that attach items to users, the specific user that owns or is associated with each item.\n For instance, Real Estate users may have a data feed that attaches items to specific agents. In this case, the user.name field\n would be the name of the agent that the item is associated with.\n This is useful for creating ads that are specific to the agent"
},
{
"id": "user_mobile",
"object": "user",
"group_id": "common",
"group_name": "Common",
"class": "App\\LuCore\\Users\\UserClass",
"property": "mobile",
"macro": "user.mobile",
"macroCode": "{user.mobile}",
"name": "Mobile Phone #",
"placeholder": "5551112222",
"type": "text",
"defaultClasses": "lc_ut_designer lc_dt_data lc_dt_text lc_format_fit_text lc_format_phone_nanp",
"defaultCss": "",
"show": true,
"object_name": "Lucit User",
"sort_order": 3,
"description": "These fields are specific to the Lucit User that is using this template.\n These are dynamically generated based on the user information of the logged in user that is creating ads from this template\n or, in the case of data feeds that attach items to users, the specific user that owns or is associated with each item.\n For instance, Real Estate users may have a data feed that attaches items to specific agents. In this case, the user.name field\n would be the name of the agent that the item is associated with.\n This is useful for creating ads that are specific to the agent"
},
{
"id": "user_office_phone",
"object": "user",
"group_id": "common",
"group_name": "Common",
"class": "App\\LuCore\\Users\\UserClass",
"property": "office_phone",
"macro": "user.office_phone",
"macroCode": "{user.office_phone}",
"name": "Office Phone #",
"placeholder": "5552221111",
"type": "text",
"defaultClasses": "lc_ut_designer lc_dt_data lc_dt_text lc_format_fit_text lc_format_phone_nanp",
"defaultCss": "",
"show": true,
"object_name": "Lucit User",
"sort_order": 3,
"description": "These fields are specific to the Lucit User that is using this template.\n These are dynamically generated based on the user information of the logged in user that is creating ads from this template\n or, in the case of data feeds that attach items to users, the specific user that owns or is associated with each item.\n For instance, Real Estate users may have a data feed that attaches items to specific agents. In this case, the user.name field\n would be the name of the agent that the item is associated with.\n This is useful for creating ads that are specific to the agent"
},
{
"id": "user_email",
"object": "user",
"group_id": "common",
"group_name": "Common",
"class": "App\\LuCore\\Users\\UserClass",
"property": "email",
"macro": "user.email",
"macroCode": "{user.email}",
"name": "Email",
"placeholder": "sally@company.com",
"type": "text",
"defaultClasses": "lc_ut_designer lc_dt_data lc_dt_text lc_format_fit_text",
"defaultCss": "",
"show": true,
"object_name": "Lucit User",
"sort_order": 3,
"description": "These fields are specific to the Lucit User that is using this template.\n These are dynamically generated based on the user information of the logged in user that is creating ads from this template\n or, in the case of data feeds that attach items to users, the specific user that owns or is associated with each item.\n For instance, Real Estate users may have a data feed that attaches items to specific agents. In this case, the user.name field\n would be the name of the agent that the item is associated with.\n This is useful for creating ads that are specific to the agent"
},
{
"id": "user_options_primary_image_public_url",
"object": "user",
"group_id": "common",
"group_name": "Common",
"class": "App\\LuCore\\Users\\UserClass",
"property": "options.primary_image_public_url",
"macro": "user.options.primary_image_public_url",
"macroCode": "{user.options.primary_image_public_url}",
"name": "Profile Image",
"placeholder": "https://lucore-bucket-images-prod2.s3.us-east-2.amazonaws.com/5/img_6973bde5efd52_262032fc234ff5fac511.png",
"type": "img",
"defaultClasses": "lc_ut_designer lc_dt_data lc_dt_image lc_dt_image_center_cover",
"defaultCss": "",
"show": true,
"object_name": "Lucit User",
"sort_order": 3,
"description": "These fields are specific to the Lucit User that is using this template.\n These are dynamically generated based on the user information of the logged in user that is creating ads from this template\n or, in the case of data feeds that attach items to users, the specific user that owns or is associated with each item.\n For instance, Real Estate users may have a data feed that attaches items to specific agents. In this case, the user.name field\n would be the name of the agent that the item is associated with.\n This is useful for creating ads that are specific to the agent"
},
{
"id": "user_options_primary_image_background_removed_public_url",
"object": "user",
"group_id": "common",
"group_name": "Common",
"class": "App\\LuCore\\Users\\UserClass",
"property": "options.primary_image_background_removed_public_url",
"macro": "user.options.primary_image_background_removed_public_url",
"macroCode": "{user.options.primary_image_background_removed_public_url}",
"name": "Profile Image (No Background)",
"placeholder": "https://lucore-bucket-images-prod2.s3.us-east-2.amazonaws.com/5/img_6973be1dafe2f_977e30969fceae8b2e0c.png",
"type": "img",
"defaultClasses": "lc_ut_designer lc_dt_data lc_dt_image lc_dt_image_center_cover",
"defaultCss": "",
"show": true,
"object_name": "Lucit User",
"sort_order": 3,
"description": "These fields are specific to the Lucit User that is using this template.\n These are dynamically generated based on the user information of the logged in user that is creating ads from this template\n or, in the case of data feeds that attach items to users, the specific user that owns or is associated with each item.\n For instance, Real Estate users may have a data feed that attaches items to specific agents. In this case, the user.name field\n would be the name of the agent that the item is associated with.\n This is useful for creating ads that are specific to the agent"
}
]
}
}
},
"digital_board": {
"object": "digital_board",
"name": "Screen",
"sort_order": 3,
"description": "Fields specific to the digital screen that this creative is playing on.",
"field_map": {
"screen": {
"name": "Screen",
"group_parent_id": null,
"class": "App\\LuCore\\DigitalBoards\\BoardClass",
"fields": [
{
"id": "digital_board_name",
"object": "digital_board",
"group_id": "screen",
"group_name": "Screen",
"class": "App\\LuCore\\DigitalBoards\\BoardClass",
"property": "name",
"macro": "digital_board.name",
"macroCode": "{digital_board.name}",
"name": "Screen Name",
"placeholder": "The Screen",
"type": "text",
"defaultClasses": "lc_ut_designer lc_dt_data lc_dt_text lc_format_fit_text",
"defaultCss": "",
"show": true,
"object_name": "Screen",
"sort_order": 3,
"description": "Fields specific to the digital screen that this creative is playing on."
},
{
"id": "digital_board_board_identifier",
"object": "digital_board",
"group_id": "screen",
"group_name": "Screen",
"class": "App\\LuCore\\DigitalBoards\\BoardClass",
"property": "board_identifier",
"macro": "digital_board.board_identifier",
"macroCode": "{digital_board.board_identifier}",
"name": "Screen Identifier",
"placeholder": "SCREEN123",
"type": "text",
"defaultClasses": "lc_ut_designer lc_dt_data lc_dt_text lc_format_fit_text",
"defaultCss": "",
"show": true,
"object_name": "Screen",
"sort_order": 3,
"description": "Fields specific to the digital screen that this creative is playing on."
},
{
"id": "digital_board_venue_taxonomy_id",
"object": "digital_board",
"group_id": "screen",
"group_name": "Screen",
"class": "App\\LuCore\\DigitalBoards\\BoardClass",
"property": "venue_taxonomy_id",
"macro": "digital_board.venue_taxonomy_id",
"macroCode": "{digital_board.venue_taxonomy_id}",
"name": "Screen Venue Taxonomy ID",
"placeholder": "12345",
"type": "text",
"defaultClasses": "lc_ut_designer lc_dt_data lc_dt_text lc_format_fit_text",
"defaultCss": "",
"show": true,
"object_name": "Screen",
"sort_order": 3,
"description": "Fields specific to the digital screen that this creative is playing on."
},
{
"id": "digital_board_cached_tags",
"object": "digital_board",
"group_id": "screen",
"group_name": "Screen",
"class": "App\\LuCore\\DigitalBoards\\BoardClass",
"property": "cached_tags",
"macro": "digital_board.cached_tags",
"macroCode": "{digital_board.cached_tags}",
"name": "Screen Tags",
"placeholder": "tag1:tag2:tag3",
"type": "text",
"defaultClasses": "lc_ut_designer lc_dt_data lc_dt_text lc_format_fit_text",
"defaultCss": "",
"show": true,
"object_name": "Screen",
"sort_order": 3,
"description": "Fields specific to the digital screen that this creative is playing on."
}
]
},
"digital_board_location": {
"name": "Location",
"group_parent_id": null,
"class": "App\\LuCore\\DigitalBoards\\BoardClass",
"fields": [
{
"id": "digital_board_location_city",
"object": "digital_board",
"group_id": "digital_board_location",
"group_name": "Location",
"class": "App\\LuCore\\DigitalBoards\\BoardClass",
"property": "location.city",
"macro": "digital_board.location.city",
"macroCode": "{digital_board.location.city}",
"name": "City",
"placeholder": "Anytown",
"type": "text",
"defaultClasses": "lc_ut_designer lc_dt_data lc_dt_text lc_format_fit_text",
"defaultCss": "",
"show": true,
"object_name": "Screen",
"sort_order": 3,
"description": "Fields specific to the digital screen that this creative is playing on."
},
{
"id": "digital_board_location_options_geo_city_name_possessive",
"object": "digital_board",
"group_id": "digital_board_location",
"group_name": "Location",
"class": "App\\LuCore\\DigitalBoards\\BoardClass",
"property": "location.options.geo_city_name_possessive",
"macro": "digital_board.location.options.geo_city_name_possessive",
"macroCode": "{digital_board.location.options.geo_city_name_possessive}",
"name": "City Name Possessive",
"placeholder": "Anytown's",
"type": "text",
"defaultClasses": "lc_ut_designer lc_dt_data lc_dt_text lc_format_fit_text",
"defaultCss": "",
"show": true,
"object_name": "Screen",
"sort_order": 3,
"description": "Fields specific to the digital screen that this creative is playing on."
},
{
"id": "digital_board_location_region_name",
"object": "digital_board",
"group_id": "digital_board_location",
"group_name": "Location",
"class": "App\\LuCore\\DigitalBoards\\BoardClass",
"property": "location.options.geo_state_name",
"macro": "digital_board.location.options.geo_state_name",
"macroCode": "{digital_board.location.options.geo_state_name}",
"name": "State / Province",
"placeholder": "New York",
"type": "text",
"defaultClasses": "lc_ut_designer lc_dt_data lc_dt_text lc_format_fit_text",
"defaultCss": "",
"show": true,
"object_name": "Screen",
"sort_order": 3,
"description": "Fields specific to the digital screen that this creative is playing on."
},
{
"id": "digital_board_location_region_name_possessive",
"object": "digital_board",
"group_id": "digital_board_location",
"group_name": "Location",
"class": "App\\LuCore\\DigitalBoards\\BoardClass",
"property": "location.options.geo_state_name_possessive",
"macro": "digital_board.location.options.geo_state_name_possessive",
"macroCode": "{digital_board.location.options.geo_state_name_possessive}",
"name": "State Possessive",
"placeholder": "New York's",
"type": "text",
"defaultClasses": "lc_ut_designer lc_dt_data lc_dt_text lc_format_fit_text",
"defaultCss": "",
"show": true,
"object_name": "Screen",
"sort_order": 3,
"description": "Fields specific to the digital screen that this creative is playing on."
},
{
"id": "digital_board_location_country_name",
"object": "digital_board",
"group_id": "digital_board_location",
"group_name": "Location",
"class": "App\\LuCore\\DigitalBoards\\BoardClass",
"property": "location.options.geo_country_name",
"macro": "digital_board.location.options.geo_country_name",
"macroCode": "{digital_board.location.options.geo_country_name}",
"name": "Country",
"placeholder": "United States",
"type": "text",
"defaultClasses": "lc_ut_designer lc_dt_data lc_dt_text lc_format_fit_text",
"defaultCss": "",
"show": true,
"object_name": "Screen",
"sort_order": 3,
"description": "Fields specific to the digital screen that this creative is playing on."
},
{
"id": "digital_board_location_country_name_possessive",
"object": "digital_board",
"group_id": "digital_board_location",
"group_name": "Location",
"class": "App\\LuCore\\DigitalBoards\\BoardClass",
"property": "location.options.geo_country_name_possessive",
"macro": "digital_board.location.options.geo_country_name_possessive",
"macroCode": "{digital_board.location.options.geo_country_name_possessive}",
"name": "Country Possessive",
"placeholder": "United States'",
"type": "text",
"defaultClasses": "lc_ut_designer lc_dt_data lc_dt_text lc_format_fit_text",
"defaultCss": "",
"show": true,
"object_name": "Screen",
"sort_order": 3,
"description": "Fields specific to the digital screen that this creative is playing on."
},
{
"id": "digital_board_location_region",
"object": "digital_board",
"group_id": "digital_board_location",
"group_name": "Location",
"class": "App\\LuCore\\DigitalBoards\\BoardClass",
"property": "location.region",
"macro": "digital_board.location.region",
"macroCode": "{digital_board.location.region}",
"name": "State / Province Code",
"placeholder": "NY",
"type": "text",
"defaultClasses": "lc_ut_designer lc_dt_data lc_dt_text lc_format_fit_text",
"defaultCss": "",
"show": true,
"object_name": "Screen",
"sort_order": 3,
"description": "Fields specific to the digital screen that this creative is playing on."
},
{
"id": "digital_board_location_region_possessive",
"object": "digital_board",
"group_id": "digital_board_location",
"group_name": "Location",
"class": "App\\LuCore\\DigitalBoards\\BoardClass",
"property": "location.options.geo_state_code_possessive",
"macro": "digital_board.location.options.geo_state_code_possessive",
"macroCode": "{digital_board.location.options.geo_state_code_possessive}",
"name": "State Code Possessive",
"placeholder": "NY's",
"type": "text",
"defaultClasses": "lc_ut_designer lc_dt_data lc_dt_text lc_format_fit_text",
"defaultCss": "",
"show": true,
"object_name": "Screen",
"sort_order": 3,
"description": "Fields specific to the digital screen that this creative is playing on."
},
{
"id": "digital_board_location_postal_code",
"object": "digital_board",
"group_id": "digital_board_location",
"group_name": "Location",
"class": "App\\LuCore\\DigitalBoards\\BoardClass",
"property": "location.postal_code",
"macro": "digital_board.location.postal_code",
"macroCode": "{digital_board.location.postal_code}",
"name": "Postal Code",
"placeholder": "12345",
"type": "text",
"defaultClasses": "lc_ut_designer lc_dt_data lc_dt_text lc_format_fit_text",
"defaultCss": "",
"show": true,
"object_name": "Screen",
"sort_order": 3,
"description": "Fields specific to the digital screen that this creative is playing on."
},
{
"id": "digital_board_location_country",
"object": "digital_board",
"group_id": "digital_board_location",
"group_name": "Location",
"class": "App\\LuCore\\DigitalBoards\\BoardClass",
"property": "location.country",
"macro": "digital_board.location.country",
"macroCode": "{digital_board.location.country}",
"name": "Country Code",
"placeholder": "USA",
"type": "text",
"defaultClasses": "lc_ut_designer lc_dt_data lc_dt_text lc_format_fit_text",
"defaultCss": "",
"show": true,
"object_name": "Screen",
"sort_order": 3,
"description": "Fields specific to the digital screen that this creative is playing on."
},
{
"id": "digital_board_location_country_possessive",
"object": "digital_board",
"group_id": "digital_board_location",
"group_name": "Location",
"class": "App\\LuCore\\DigitalBoards\\BoardClass",
"property": "location.options.geo_country_code_possessive",
"macro": "digital_board.location.options.geo_country_code_possessive",
"macroCode": "{digital_board.location.options.geo_country_code_possessive}",
"name": "Country Code Possessive",
"placeholder": "USA's",
"type": "text",
"defaultClasses": "lc_ut_designer lc_dt_data lc_dt_text lc_format_fit_text",
"defaultCss": "",
"show": true,
"object_name": "Screen",
"sort_order": 3,
"description": "Fields specific to the digital screen that this creative is playing on."
},
{
"id": "digital_board_location_timezone",
"object": "digital_board",
"group_id": "digital_board_location",
"group_name": "Location",
"class": "App\\LuCore\\DigitalBoards\\BoardClass",
"property": "location.timezone",
"macro": "digital_board.location.timezone",
"macroCode": "{digital_board.location.timezone}",
"name": "Timezone",
"placeholder": "America/Chicago",
"type": "text",
"defaultClasses": "lc_ut_designer lc_dt_data lc_dt_text lc_format_fit_text",
"defaultCss": "",
"show": true,
"object_name": "Screen",
"sort_order": 3,
"description": "Fields specific to the digital screen that this creative is playing on."
},
{
"id": "digital_board_location_timezone_offset_seconds",
"object": "digital_board",
"group_id": "digital_board_location",
"group_name": "Location",
"class": "App\\LuCore\\DigitalBoards\\BoardClass",
"property": "location.timezone_offset_seconds",
"macro": "digital_board.location.timezone_offset_seconds",
"macroCode": "{digital_board.location.timezone_offset_seconds}",
"name": "Timezone Offset Seconds",
"placeholder": "-21600",
"type": "text",
"defaultClasses": "lc_ut_designer lc_dt_data lc_dt_text lc_format_fit_text",
"defaultCss": "",
"show": true,
"object_name": "Screen",
"sort_order": 3,
"description": "Fields specific to the digital screen that this creative is playing on."
},
{
"id": "digital_board_location_five_minute_intervals_since_unix_epoch",
"object": "digital_board",
"group_id": "digital_board_location",
"group_name": "Location",
"class": "App\\LuCore\\DigitalBoards\\BoardClass",
"property": "location.five_minute_intervals_since_unix_epoch",
"macro": "digital_board.location.five_minute_intervals_since_unix_epoch",
"macroCode": "{digital_board.location.five_minute_intervals_since_unix_epoch}",
"name": "Five Minute Intervals Since Unix Epoch",
"placeholder": "5000",
"type": "text",
"defaultClasses": "lc_ut_designer lc_dt_data lc_dt_text lc_format_fit_text",
"defaultCss": "",
"show": true,
"object_name": "Screen",
"sort_order": 3,
"description": "Fields specific to the digital screen that this creative is playing on."
},
{
"id": "digital_board_location_fifteen_minute_intervals_since_unix_epoch",
"object": "digital_board",
"group_id": "digital_board_location",
"group_name": "Location",
"class": "App\\LuCore\\DigitalBoards\\BoardClass",
"property": "location.fifteen_minute_intervals_since_unix_epoch",
"macro": "digital_board.location.fifteen_minute_intervals_since_unix_epoch",
"macroCode": "{digital_board.location.fifteen_minute_intervals_since_unix_epoch}",
"name": "Fifteen Minute Intervals Since Unix Epoch",
"placeholder": "5000",
"type": "text",
"defaultClasses": "lc_ut_designer lc_dt_data lc_dt_text lc_format_fit_text",
"defaultCss": "",
"show": true,
"object_name": "Screen",
"sort_order": 3,
"description": "Fields specific to the digital screen that this creative is playing on."
},
{
"id": "digital_board_location_thirty_minute_intervals_since_unix_epoch",
"object": "digital_board",
"group_id": "digital_board_location",
"group_name": "Location",
"class": "App\\LuCore\\DigitalBoards\\BoardClass",
"property": "location.thirty_minute_intervals_since_unix_epoch",
"macro": "digital_board.location.thirty_minute_intervals_since_unix_epoch",
"macroCode": "{digital_board.location.thirty_minute_intervals_since_unix_epoch}",
"name": "Thirty Minute Intervals Since Unix Epoch",
"placeholder": "5000",
"type": "text",
"defaultClasses": "lc_ut_designer lc_dt_data lc_dt_text lc_format_fit_text",
"defaultCss": "",
"show": true,
"object_name": "Screen",
"sort_order": 3,
"description": "Fields specific to the digital screen that this creative is playing on."
},
{
"id": "digital_board_location_hours_since_unix_epoch",
"object": "digital_board",
"group_id": "digital_board_location",
"group_name": "Location",
"class": "App\\LuCore\\DigitalBoards\\BoardClass",
"property": "location.hours_since_unix_epoch",
"macro": "digital_board.location.hours_since_unix_epoch",
"macroCode": "{digital_board.location.hours_since_unix_epoch}",
"name": "Hours Since Unix Epoch",
"placeholder": "5000",
"type": "text",
"defaultClasses": "lc_ut_designer lc_dt_data lc_dt_text lc_format_fit_text",
"defaultCss": "",
"show": true,
"object_name": "Screen",
"sort_order": 3,
"description": "Fields specific to the digital screen that this creative is playing on."
},
{
"id": "digital_board_location_days_since_unix_epoch",
"object": "digital_board",
"group_id": "digital_board_location",
"group_name": "Location",
"class": "App\\LuCore\\DigitalBoards\\BoardClass",
"property": "location.days_since_unix_epoch",
"macro": "digital_board.location.days_since_unix_epoch",
"macroCode": "{digital_board.location.days_since_unix_epoch}",
"name": "Days Since Unix Epoch",
"placeholder": "5000",
"type": "text",
"defaultClasses": "lc_ut_designer lc_dt_data lc_dt_text lc_format_fit_text",
"defaultCss": "",
"show": true,
"object_name": "Screen",
"sort_order": 3,
"description": "Fields specific to the digital screen that this creative is playing on."
}
]
}
}
},
"account": {
"object": "account",
"name": "Account / Company",
"sort_order": 2,
"description": "These fields are specific to the Account / Company / Organization that is using this template.\n These are dynamically generated based on the account of the logged in user that is creating ads from this template\n or the account that the data source that is being used to create ads from this template is associated with.\n ",
"field_map": {
"common": {
"name": "Common",
"group_parent_id": null,
"class": "App\\LuCore\\Accounts\\AccountClass",
"fields": [
{
"id": "account_name",
"object": "account",
"group_id": "common",
"group_name": "Common",
"class": "App\\LuCore\\Accounts\\AccountClass",
"property": "name",
"macro": "account.name",
"macroCode": "{account.name}",
"name": "Name",
"placeholder": "Your Company Name",
"type": "text",
"defaultClasses": "lc_ut_designer lc_dt_data lc_dt_text lc_format_fit_text",
"defaultCss": "",
"show": true,
"object_name": "Account / Company",
"sort_order": 2,
"description": "These fields are specific to the Account / Company / Organization that is using this template.\n These are dynamically generated based on the account of the logged in user that is creating ads from this template\n or the account that the data source that is being used to create ads from this template is associated with.\n "
},
{
"id": "account_website",
"object": "account",
"group_id": "common",
"group_name": "Common",
"class": "App\\LuCore\\Accounts\\AccountClass",
"property": "website",
"macro": "account.website",
"macroCode": "{account.website}",
"name": "Website",
"placeholder": "https://www.yourcompany.com",
"type": "text",
"defaultClasses": "lc_ut_designer lc_dt_data lc_dt_text lc_format_fit_text",
"defaultCss": "",
"show": true,
"object_name": "Account / Company",
"sort_order": 2,
"description": "These fields are specific to the Account / Company / Organization that is using this template.\n These are dynamically generated based on the account of the logged in user that is creating ads from this template\n or the account that the data source that is being used to create ads from this template is associated with.\n "
},
{
"id": "account_options_primary_image_public_url",
"object": "account",
"group_id": "common",
"group_name": "Common",
"class": "App\\LuCore\\Accounts\\AccountClass",
"property": "options.primary_image_public_url",
"macro": "account.options.primary_image_public_url",
"macroCode": "{account.options.primary_image_public_url}",
"name": "Logo",
"placeholder": "https://lucore-bucket-images-prod2.s3.us-east-2.amazonaws.com/5/img_6973be53ad2cf_88191b7ebceb531a6851.png",
"type": "img",
"defaultClasses": "lc_ut_designer lc_dt_data lc_dt_image lc_dt_image_center_cover",
"defaultCss": "",
"show": true,
"object_name": "Account / Company",
"sort_order": 2,
"description": "These fields are specific to the Account / Company / Organization that is using this template.\n These are dynamically generated based on the account of the logged in user that is creating ads from this template\n or the account that the data source that is being used to create ads from this template is associated with.\n "
},
{
"id": "account_options_primary_image_background_removed_public_url",
"object": "account",
"group_id": "common",
"group_name": "Common",
"class": "App\\LuCore\\Accounts\\AccountClass",
"property": "options.primary_image_background_removed_public_url",
"macro": "account.options.primary_image_background_removed_public_url",
"macroCode": "{account.options.primary_image_background_removed_public_url}",
"name": "Logo (No Background)",
"placeholder": "https://lucore-bucket-images-prod2.s3.us-east-2.amazonaws.com/5/img_6973be876c6fa_111fd59aa29d9e28d6f2.png",
"type": "img",
"defaultClasses": "lc_ut_designer lc_dt_data lc_dt_image lc_dt_image_center_cover",
"defaultCss": "",
"show": true,
"object_name": "Account / Company",
"sort_order": 2,
"description": "These fields are specific to the Account / Company / Organization that is using this template.\n These are dynamically generated based on the account of the logged in user that is creating ads from this template\n or the account that the data source that is being used to create ads from this template is associated with.\n "
}
]
}
}
}
}
}
Example Implementations¶
Bash (cURL)¶
curl --request GET \
--url "https://api.lucit.app/api/v3/drive-templates/{lcuid}/field-map" \
--header "Authorization: Bearer {AuthToken}" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "AppIdV3: LCUID-LAP-********-****-****-****-************"
JavaScript (Fetch API)¶
const url = "https://api.lucit.app/api/v3/drive-templates/{lcuid}/field-map";
const headers = {
"Authorization": "Bearer {AuthToken}",
"Content-Type": "application/json",
"Accept": "application/json",
"AppIdV3": "LCUID-LAP-********-****-****-****-************"
};
fetch(url, {
method: "GET",
headers: headers
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('Error:', error));
PHP (Guzzle)¶
<?php
require_once 'vendor/autoload.php';
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://api.lucit.app/api/v3/drive-templates/{lcuid}/field-map', [
'headers' => [
'Authorization' => 'Bearer {AuthToken}',
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
]
]);
$body = $response->getBody();
$data = json_decode($body, true);
print_r($data);
Python (Requests)¶
import requests
import json
url = "https://api.lucit.app/api/v3/drive-templates/{lcuid}/field-map"
headers = {
"Authorization": "Bearer {AuthToken}",
"Content-Type": "application/json",
"Accept": "application/json",
"AppIdV3": "LCUID-LAP-********-****-****-****-************"
}
response = requests.get(url, headers=headers)
print(response.json())